Orxonox: orxonox::Controller Class Reference

# orxonox::Controller Class Reference

`#include <src/orxonox/objects/controllers/Controller.h>`

Inheritance diagram for orxonox::Controller:

List of all members.

## Public Member Functions

virtual void | changedControllableEntity ()
| Controller (BaseObject *creator)
ControllableEntity * | getControllableEntity () const
PlayerInfo * | getPlayer () const
void | setControllableEntity (ControllableEntity *entity)
void | setPlayer (PlayerInfo *player)
virtual | ~Controller ()

## Protected Attributes

ControllableEntity * | controllableEntity_
PlayerInfo * | player_

## Constructor & Destructor Documentation

orxonox::Controller::Controller | ( | BaseObject * | creator | ) |

References controllableEntity_, player_, and RegisterObject.

orxonox::Controller::~Controller | ( |  | ) | `[virtual]`

## Member Function Documentation

virtual void orxonox::Controller::changedControllableEntity | ( |  | ) | `[inline, virtual]`

ControllableEntity* orxonox::Controller::getControllableEntity | ( |  | ) | const`[inline]`

Referenced by orxonox::ArtificialController::aimAtTarget(), orxonox::HumanController::getLocalControllerEntityAsPawn(), orxonox::ArtificialController::isCloseAtTarget(), orxonox::ArtificialController::isLookingAtTarget(), orxonox::ArtificialController::moveToPosition(), orxonox::WaypointPatrolController::searchEnemy(), orxonox::ArtificialController::searchNewTarget(), orxonox::WaypointPatrolController::tick(), orxonox::WaypointController::tick(), orxonox::PongAI::tick(), and orxonox::AIController::tick().

PlayerInfo* orxonox::Controller::getPlayer | ( |  | ) | const`[inline]`

void orxonox::Controller::setControllableEntity | ( | ControllableEntity * | entity | ) | `[inline]`

Referenced by orxonox::PlayerInfo::createController(), orxonox::ControllableEntity::setXMLController(), orxonox::PlayerInfo::startControl(), and orxonox::PlayerInfo::stopControl().

void orxonox::Controller::setPlayer | ( | PlayerInfo * | player | ) | `[inline]`

Referenced by orxonox::PlayerInfo::createController().

## Member Data Documentation

ControllableEntity* orxonox::Controller::controllableEntity_`[protected]`

Referenced by orxonox::HumanController::addBots(), orxonox::HumanController::boost(), Controller(), orxonox::HumanController::dropItems(), orxonox::HumanController::fire(), orxonox::HumanController::greet(), orxonox::HumanController::killBots(), orxonox::HumanController::mouseLook(), orxonox::HumanController::moveFrontBack(), orxonox::HumanController::moveRightLeft(), orxonox::HumanController::moveUpDown(), orxonox::HumanController::reload(), orxonox::HumanController::rotatePitch(), orxonox::HumanController::rotateRoll(), orxonox::HumanController::rotateYaw(), orxonox::HumanController::suicide(), orxonox::HumanController::switchCamera(), and orxonox::HumanController::useItem().

PlayerInfo* orxonox::Controller::player_`[protected]`

Referenced by Controller(), and orxonox::HumanController::suicide().

The documentation for this class was generated from the following files:

- src/orxonox/objects/controllers/Controller.h
- src/orxonox/objects/controllers/Controller.cc